unit uWerte2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    AnfangswertEin: TEdit;
    EndwertEin: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    SchrittweiteEin: TEdit;
    Label3: TLabel;
    Ausgabe: TListBox;
    Berechne: TButton;
    Reset: TButton;
    Ende: TButton;
    procedure EndeClick(Sender: TObject);
    procedure BerechneEnter(Sender: TObject);
    procedure ResetClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.EndeClick(Sender: TObject);
begin
   close;
end;

procedure TForm1.BerechneEnter(Sender: TObject);
   const zeile1 = '          x                 y';
   const zeile2 = '===================';
   var a,b,s,x,y : real;
       zeile     : string;
begin
    a := StrToFloat(AnfangswertEin.Text);
    b := StrToFloat(EndwertEin.Text);
    s := StrToFloat(SchrittweiteEin.Text);

    Ausgabe.Items.Add(Zeile1);
    Ausgabe.Items.Add(Zeile2);
    x := a;
    while x <= b do
       begin;
          y := x*x;
          zeile := Format('%8.4f',[x])+format('%16.4f',[y]);
          Ausgabe.Items.Add(zeile);
          x := x + s;
       end;
    Ausgabe.Items.Add(zeile2);
end;

procedure TForm1.ResetClick(Sender: TObject);
begin
   Ausgabe.Items.clear;
end;

end.
